<template>
  <item-grid class="-my-6">
    <template v-for="(item, index) in items">
      <numbered-item
        :key="index"
        v-bind="{ number: index + 1, ...item }"
        class="max-w-lg my-6 sm:mx-6"
      />
    </template>
  </item-grid>
</template>

<script>
import NumberedItem from './NumberedItem';

export default {
  name: 'NumberedItemGrid',
  components: {
    NumberedItem,
  },
  props: {
    items: { type: Array, default: () => [] },
  },
};
</script>
